- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKContainerContext< Type, NestedParser, Id > Class Template Reference

`#include <IWORKContainerContext.h>`

Inheritance diagram for libetonyek::IWORKContainerContext< Type, NestedParser, Id >:

## Public Member Functions
| IWORKContainerContext (IWORKXMLParserState &state, std::deque< Type > &elements)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual IWORKXMLContextPtr_t | element (const int name)

## Private Attributes
std::deque< Type > & | m_elements

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

template<typename Type , class NestedParser , unsigned Id>

libetonyek::IWORKContainerContext< Type, NestedParser, Id >::IWORKContainerContext | ( | IWORKXMLParserState & | state,
|  | std::deque< Type > & | elements
| ) |  |
| inline

## Member Function Documentation

template<typename Type , class NestedParser , unsigned Id>

virtual IWORKXMLContextPtr_t libetonyek::IWORKContainerContext< Type, NestedParser, Id >::element | ( | const int | name | ) |
| inline private virtual

## Member Data Documentation

template<typename Type , class NestedParser , unsigned Id>

std::deque<Type>& libetonyek::IWORKContainerContext< Type, NestedParser, Id >::m_elements
| private

Referenced by libetonyek::IWORKContainerContext< Type, NestedParser, Id >::element().

The documentation for this class was generated from the following file:

- IWORKContainerContext.h